Name:           perl-syntax
Version:        0.004
Release:        4%{?dist}
Summary:        Activate syntax extensions
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/syntax/
Source0:        http://www.cpan.org/authors/id/P/PH/PHAYLON/syntax-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::OptList) >= 0.104
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Data::OptList) >= 0.104
Requires:       perl(namespace::clean)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module activates community provided syntax extensions to Perl. You
pass it a feature name, and optionally a scalar with arguments, and the
dispatching system will load and install the extension in your package.

%prep
%setup -q -n syntax-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README weaver.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.004-4
- BuildReq perl-generators (dbd@ehtrace.com)

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.004-3
- Provides perl(syntax) (dbd@ehtrace.com)

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.004-2
- new package built with tito

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.004-1
- Specfile autogenerated by cpanspec 1.78.
